/* ----- Default ----------------------------------------------*/
.btn{
	border-radius: 8px;
	font-weight: bold;
	margin-bottom: 2px;
	margin-top: 2px;
	-pie-background: linear-gradient(#EEFF99, #66EE33);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
.btn:focus{
  color: gold;
  text-shadow: 1px 1px 0 black;
  text-decoration-line: none;
  text-decoration-style: solid;
  outline: inherit;
}
/*   Test Button  */
/* X ~ Button up */
.btn-x,
.btn-x:focus,
.btn-x:visited{
	background-color: goldenrod ; /* fallback color if gradients are not supported */
	background-repeat: repeat-x;
	border-color: green;
	color: black ;
	text-shadow: 1px 1px 0 white;
	-pie-background: linear-gradient(#FF4500, #FFFF00);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* X ~ Button hover */
.btn-x:hover {
	background-color: gold ;
	background: linear-gradient(to top,OrangeRed, DarkOrange,Orange,#FFFF00 ); 
	border-color: GhostWhite;
	border-style: inset;
	color: yellow  ;
	text-shadow: 1px 1px 5px black ;
	-pie-background: linear-gradient(#FFFF00,OrangeRed);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* X ~ Button down */
.btn-x:active {
	background-color: lightyellow ;
	background: linear-gradient(to top, OrangeRed, DarkOrange,Orange,#FFFF00 ); 
	border-color: PaleGoldenRod ;
	color: DarkGreen;
	text-shadow: 1px 1px 0px white;
	box-shadow: 5px 5px 5px green;
	-pie-background: linear-gradient(#FFFF00,OrangeRed);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/* ---------------------------------------------------*/
/*  Default Button  */
/* A ~ Button up */
.btn-a,
.btn-a:focus,
.btn-a:visited{
	background-color: #03AA4C ;
	background: linear-gradient(to top, #008239, #03AA4C, #25B965, #45C77D, #6FD99D); 
	border-color: #03AA4C;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(#6FD99D,#008239);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* A ~ Button hover */
.btn-a:hover {
	background-color: #03AA4C ;
	background: linear-gradient(to top, #008239, #03AA4C, #25B965, #45C77D, #6FD99D); 
	border-color: white;
	color: yellow ;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(#6FD99D,#008239);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* A ~ Button down */
.btn-a:active {
	background-color: #03AA4C ;
	background: linear-gradient(to top, #03AA4C, #25B965, #45C77D, #6FD99D,#FFFA83); 
	border-color: #03AA4C;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	box-shadow: 2px 2px 2px #732DAF;
	-pie-background: linear-gradient(#FFFA83,#03AA4C);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* ---------------------------------------------------*/
/*   Dark Blue   */
/* B ~ Button up */
.btn-b,
.btn-b:focus,
.btn-b:visited{
	background-color: MediumBlue ;
	background: linear-gradient(to top, Navy, DarkBlue, MediumBlue, Blue, DodgerBlue, DeepSkyBlue); 
	border-color: navy;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(DeepSkyBlue,Navy);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* B ~ Button hover */
.btn-b:hover {
	background-color: MediumBlue ;
	background: linear-gradient(to top, Navy, DarkBlue, MediumBlue, Blue, DodgerBlue, DeepSkyBlue); 
	border-color: white;
	border-style: inset;
	color: yellow;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(DeepSkyBlue,Navy);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* B ~ Button down */
.btn-b:active {
	background-color: MediumBlue ;
	background: linear-gradient(to top, Blue, DodgerBlue, DeepSkyBlue,Aqua,LightSkyBlue); 
	border-color: Blue;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	box-shadow: 2px 2px 2px DeepSkyBlue;
	-pie-background: linear-gradient(LightSkyBlue,Blue);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
 
 /* ---------------------------------------------------*/
/* Light Blue */
/* C ~ Button up */
.btn-c,
.btn-c:focus,
.btn-c:visited{
	background-color: #B7DBFF ;
    background: linear-gradient(to top, #B7DBFF, #1E90FF, #003B73); 
	border-color: #003B73 ;
	color:  white;
	text-shadow:  1px 1px 0 black;
	-pie-background: linear-gradient(#003B73, #B7DBFF);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* C ~ Button hover */
.btn-c:hover {
	background-color: #B7DBFF ;
    background: linear-gradient(to top, #B7DBFF, #1E90FF, #003B73); 
	border-color: Azure ;
	border-style: inset;
	color:  Azure;
	text-shadow:  1px 1px 0 black;
	-pie-background: linear-gradient(#003B73, #B7DBFF);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* C ~ Button down */
.btn-c:active {
	background-color: #B7DBFF ;
    background: linear-gradient(to top, Azure,LightSkyBlue, #B7DBFF, #1E90FF); 
	border-color: #003B73 ;
	color:  white;
	text-shadow:  1px 1px 0 black;
	box-shadow: 2px 2px 2px DeepSkyBlue;
	-pie-background: linear-gradient(#1E90FF, Azure);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/* ---------------------------------------------------*/

/*  Add to Cart  */
/* D ~ Button up */
.btn-d,
.btn-d:focus,
.btn-d:visited{
background-color: Violet ;
/*  red, orange, yellow, green, blue, indigo, violet  */
	background: linear-gradient(to top, DarkOrchid, SkyBlue,PaleGreen,LightGoldenRodYellow,DarkOrange,OrangeRed  ); 
	border-color: Black;
	color: Indigo ;
	text-shadow: 1px 1px 0 yellow;
	-pie-background: linear-gradient(OrangeRed, DarkOrange,LightGoldenRodYellow,PaleGreen,SkyBlue,DarkOrchid);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* D ~ Button hover */
.btn-d:hover {
	background-color: DarkViolet ;
	background: linear-gradient(to top, DarkOrchid, SkyBlue,PaleGreen,GoldenRod,DarkOrange,OrangeRed); 
	border-color: white;
	border-style: inset;
	color: yellow  ;
	text-shadow: 1px 1px 0px black;
	-pie-background: linear-gradient(OrangeRed, DarkOrange,GoldenRod,PaleGreen,SkyBlue,DarkOrchid);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* D ~ Button down */
.btn-d:active {
	background-color: Thistle ;
	background: linear-gradient(to top, Indigo, SkyBlue,GreenYellow,PaleGoldenRod,Orange,Red); 
	border-color: Silver;
	color: BlueViolet ;
	text-shadow: 1px 1px 3px yellow;
	box-shadow: 5px 5px 5px Indigo;
	-pie-background: linear-gradient(Red, Orange,PaleGoldenRod,GreenYellow,SkyBlue,Indigo);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/* ---------------------------------------------------*/
/*  Customer Edit  */
/* E ~ Button up */
.btn-e,
.btn-e:focus,
.btn-e:visited{
	background-color: silver;
	background: linear-gradient(to top, #d8d8d8, #e0e0e0,#eaeaea,#f2f2f2,#f9f9f9, #fdfdfd ); 
	border-color: green;
	color: black ;
	text-shadow: 1px 1px 0 white;
	-pie-background: linear-gradient(#fdfdfd,#f9f9f9,#f2f2f2,#eaeaea, #e0e0e0,#d8d8d8);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* E ~ Button hover */
.btn-e:hover {
	background-color: silver ;
	background: linear-gradient(to top,#d8d8d8, #e0e0e0,#eaeaea,#f2f2f2,#f9f9f9); 
	border-color: silver;
	border-style: outset;
	color: darkgreen  ;
	text-shadow: 1px 2px 5px white ;
	-pie-background: linear-gradient(#fdfdfd,#f9f9f9,#f2f2f2,#eaeaea, #e0e0e0,#d8d8d8);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* E ~ Button down */
.btn-e:active {
	background-color: lightyellow ;
	background: linear-gradient(to top, #e0e0e0,#eaeaea,#f2f2f2,#f9f9f9, #fdfdfd); 
	border-color: PaleGoldenRod ;
	color: DarkGreen;
	text-shadow: 1px 1px 0px white;
	box-shadow: 5px 5px 5px green;
	-pie-background: linear-gradient(#fdfdfd,#f9f9f9,#f2f2f2,#eaeaea, #e0e0e0);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/*  GoTo Secure Checkout  -----------------------------------*/
/* G ~ Button up */
.btn-g,
.btn-g:focus,
.btn-g:visited{
	background-color: goldenrod ;
	background: linear-gradient(to top, OrangeRed, DarkOrange,Orange,Yellow ); 
	border-color: green;
	color: black ;
	text-shadow: 1px 1px 0 white;
	-pie-background: linear-gradient(Yellow,Orange,DarkOrange,OrangeRed); /* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);

}
/* G ~ Button hover */
.btn-g:hover {
	background-color: gold ;
	background: linear-gradient(to top,OrangeRed, DarkOrange,Orange,Yellow ); 
	border-color: GhostWhite;
	border-style: inset;
	color: yellow  ;
	text-shadow: 1px 1px 5px black ;
	-pie-background: linear-gradient(Yellow,Orange,DarkOrange,OrangeRed);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* G ~ Button down */
.btn-g:active {
	background-color: lightyellow ;
	background: linear-gradient(to top, Gold, DarkOrange,Orange,Yellow ); 
	border-color: PaleGoldenRod ;
	color: DarkGreen;
	text-shadow: 1px 1px 0px white;
	box-shadow: 5px 5px 5px green;
	-pie-background: linear-gradient(Yellow,Orange,DarkOrange, Gold);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/*  Submit Credit Card  -----------------------------------*/
/* H ~ Button up */
.btn-h,
.btn-h:focus,
.btn-h:visited{
	background-color: goldenrod ;
	background: linear-gradient(to top, #009c66, #40ae83,#7ec3a7,#d3e9df,#e4f2ec, #f9fdfc ); 
	border-color: green;
	color: black ;
	text-shadow: 1px 1px 0 white;
	-pie-background: linear-gradient(#f9fdfc,#e4f2ec,#d3e9df, #40ae83,#009c66);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* H ~ Button hover */
.btn-h:hover {
	background-color: gold ;
	background: linear-gradient(to top,#009c66, #40ae83,#7ec3a7,#d3e9df,#e4f2ec ); 
	border-color: yellow;
	border-style: inset;
	color: LemonChiffon ;
	text-shadow: 1px 1px 0px black;
	-pie-background: linear-gradient(#e4f2ec,#d3e9df, #40ae83,#009c66);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* H ~ Button down */
.btn-h:active {
	background-color: lightyellow ;
	background: linear-gradient(to top, #009c66, #40ae83,#7ec3a7,#d3e9df,#e4f2ec); 
	border-color: PaleGoldenRod ;
	color: yellow ;
	text-shadow: 1px 1px 6px darkgreen;
	box-shadow: 5px 5px 5px green;
	-pie-background: linear-gradient(#e4f2ec,#d3e9df, #40ae83,#009c66);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/*  Check Out with PayPal  ------------------------------------------------------*/
/* PP dark: #faa522  ~  PP medium:#fadb9e ~ PP light: #faf3e8
/* I ~ Button up */
.btn-i,
.btn-i:focus,
.btn-i:visited{
	background-color: goldenrod;
	background: linear-gradient(to top, #faa522,#fadb9e,#faf3e8 ); 
	border-color: gold;
	color: black ;
	text-shadow: 1px 1px 0 yellow;
	-pie-background: linear-gradient(#faf3e8,#fadb9e, #faa522);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);

}
/* I ~ Button hover */
.btn-i:hover {
	background-color: gold ;
	background: linear-gradient(to top, OrangeRed, Orange,#F9A637,#f9b53e,#FAECD8); 
	border-color: white;
	border-style: inset;
	color: black ;
	text-shadow: 1px 1px 0px yellow;
	-pie-background: linear-gradient(#FAECD8,#f9b53e,#F9A637, Orange,OrangeRed);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);

}
/* I ~ Button down */
.btn-i:active {
	background-color: yellow ;
	background: linear-gradient(to top, Orange,#F9A637,#f9b53e,#FAECD8); 
	border-color: PaleGoldenRod ;
	color: green ;
	text-shadow: 1px 1px 3px yellow;
	box-shadow: 5px 5px 5px green;
	-pie-background: linear-gradient(#FAECD8,#f9b53e,#F9A637, Orange);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);

}

/*  HFE Menu  ------------------------------------------------------*/
/* M ~ Button up */
.btn-m,
.btn-m:focus,
.btn-m:visited{
	background-color: goldenrod ;
	background: linear-gradient(to top, #00ba00, #007000,#003200,#008011,#5cb45f, #a9e0ab ); 
	border-color: green;
	color: white ;
	text-shadow: 1px 1px 0 black;
	-pie-background: linear-gradient(#a9e0ab,#5cb45f,#008011, #003200,#007000,#00ba00);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* M ~ Button hover */
.btn-m:hover {
	background-color: gold ;
	background: linear-gradient(to top,#00c700,#00b400,#009200,#006600,#b2bcb2); 
	border-color: yellow;
	border-style: inset;
	color: yellow ;
	text-shadow: 1px 1px 0px black;
	-pie-background: linear-gradient(#b2bcb2,#006600,#009200, #00b400,#00c700);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* M ~ Button down */
.btn-m:active {
	background-color: lightyellow ;
	background: linear-gradient(to top, #00c700,#00b400,#009200,#006600,#b2bcb2); 
	border-color: PaleGoldenRod ;
	color: LemonChiffon ;
	text-shadow: 1px 1px 6px darkgreen;
	box-shadow: 5px 5px 5px green;
	-pie-background: linear-gradient(#b2bcb2,#006600,#009200, #00b400,#00c700);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/*   Red - Close - Delete - Minus  */
/* R ~ Button up */
.btn-r,
.btn-r:focus,
.btn-r:visited{
	background-color: Red ;
	background: linear-gradient(to top, DarkRed,  FireBrick, Crimson,Red,Tomato, OrangeRed); 
	border-color: IndianRed;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(OrangeRed,Tomato,Red,Crimson,FireBrick, DarkRed);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* R ~ Button hover */
.btn-r:hover {
	background-color: crimson ;
	background: linear-gradient(to top, DarkRed,  FireBrick, Crimson,Red,Tomato, OrangeRed); 
	border-color: white;
	border-style: inset;
	color: yellow;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(OrangeRed,Tomato,Red,Crimson,FireBrick, DarkRed);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* R ~ Button down */
.btn-r:active {
	background-color: OrangeRed ;
	background: linear-gradient(to top,  Crimson,Red,Tomato, OrangeRed,MistyRose); 
	border-color: red;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	box-shadow: 2px 2px 2px Crimson;
	-pie-background: linear-gradient(MistyRose,OrangeRed,Tomato, Red,Crimson);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}

/* ---------------------------------------------------*/
/*   Steel Gray Button  */
/* s ~ Button up */
.btn-s,
.btn-s:focus,
.btn-s:visited{
	background-color: Gray ;
	background: linear-gradient(to top, SlateGray, LightSlateGray,Gray,DarkGray,LightGray,Gainsboro,GhostWhite ); 
	border-color: Black;
	color: #fff ;
	text-shadow: 1px 1px 0 #000;
	-pie-background: linear-gradient(GhostWhite,Gainsboro,Gray,SlateGray,DarkGray);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* S ~ Button hover */
.btn-s:hover {
	background-color: DarkGray ;
	background: linear-gradient(to top, SlateGray, LightSlateGray,Gray,DarkGray,LightGray,Gainsboro,GhostWhite); 
	border-color: white;
	border-style: inset;
	color: GhostWhite;
	text-shadow: 2px 2px 2px #000;	
	-pie-background: linear-gradient(GhostWhite,Gainsboro,Gray,SlateGray,black);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* S ~ Button down */
.btn-s:active {
	background-color: LightGray ;
	background: linear-gradient(to top, Gray,DarkGray,LightGray,Gainsboro,GhostWhite); 
	border-color: Silver;
	color: black ;
	text-shadow: 1px 1px 0px white;
	box-shadow: 2px 2px 2px silver;
	-pie-background: linear-gradient(GhostWhite,Gainsboro,Gray,DarkGray);/* top to bottom */
	behavior: url(../assets/css/PIE-1.0.htc);
}
/* ---------------------------------------------------*/
